<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Dokumentacja klasy Obstacles</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Szukaj');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Szukaj');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_obstacles-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja klasy Obstacles</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Obstacles</div>
<div class="dyncontent">
<div class="center"><img src="class_obstacles__inherit__graph.png" border="0" usemap="#_obstacles_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Obstacles:</div>
<div class="dyncontent">
<div class="center"><img src="class_obstacles__coll__graph.png" border="0" usemap="#_obstacles_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a51c7f97c28a251ab75d711b23d9fe8e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_obstacles.html#a51c7f97c28a251ab75d711b23d9fe8e1">Obstacles</a> ()</td></tr>
<tr class="separator:a51c7f97c28a251ab75d711b23d9fe8e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4f02f5ca8ffc260b9fc57a4e4774315"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_obstacles.html#aa4f02f5ca8ffc260b9fc57a4e4774315">~Obstacles</a> ()</td></tr>
<tr class="separator:aa4f02f5ca8ffc260b9fc57a4e4774315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad616fc66f5ad3a738843d5faeba1b52b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_obstacles.html#ad616fc66f5ad3a738843d5faeba1b52b">draw</a> (const std::string &amp;fileName) const override</td></tr>
<tr class="separator:ad616fc66f5ad3a738843d5faeba1b52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="class_shape.html" title="Modeluje pojęcie obiektu geometrycznego.">Shape</a>.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Więcej...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Powiększa wektor przesunięcia.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Więcej...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Powiększa kąt obrotu.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Więcej...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade5bb363e34b23ba50d9508a55d19afc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#ade5bb363e34b23ba50d9508a55d19afc">checkCollision</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;position) const =0</td></tr>
<tr class="memdesc:ade5bb363e34b23ba50d9508a55d19afc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sprawdza czy występuje kolizja.  <a href="class_shape.html#ade5bb363e34b23ba50d9508a55d19afc">Więcej...</a><br /></td></tr>
<tr class="separator:ade5bb363e34b23ba50d9508a55d19afc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:a1d2c967e884d0512c9d12c1d50988a6e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_obstacles.html#a1d2c967e884d0512c9d12c1d50988a6e">kObstaclesFile</a> = &quot;solid/obstacles.dat&quot;</td></tr>
<tr class="separator:a1d2c967e884d0512c9d12c1d50988a6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:af2a1bbc0d479644c010ee06d661d6910"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_obstacles.html#af2a1bbc0d479644c010ee06d661d6910">points_</a></td></tr>
<tr class="separator:af2a1bbc0d479644c010ee06d661d6910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5822a8a837872f08c48e224ed7448178"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_obstacles.html#a5822a8a837872f08c48e224ed7448178">kObstaclesModel</a> = &quot;solid/obstaclesModel.dat&quot;</td></tr>
<tr class="separator:a5822a8a837872f08c48e224ed7448178"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Statyczne atrybuty publiczne dziedziczone z <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a9aea7afc1c0a20707601246c30fe4eb6 inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#a79a3d8790b2588b09777910863574e09">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a9aea7afc1c0a20707601246c30fe4eb6">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a9aea7afc1c0a20707601246c30fe4eb6 inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Licznik wszystkich utworzonych obiektów geometrycznych.  <a href="class_shape.html#a9aea7afc1c0a20707601246c30fe4eb6">Więcej...</a><br /></td></tr>
<tr class="separator:a9aea7afc1c0a20707601246c30fe4eb6 inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ace3788cd1b36df62ca1945cff26e76 inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#a79a3d8790b2588b09777910863574e09">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a6ace3788cd1b36df62ca1945cff26e76">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:a6ace3788cd1b36df62ca1945cff26e76 inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Licznik aktualnych obiektów geometrycznych.  <a href="class_shape.html#a6ace3788cd1b36df62ca1945cff26e76">Więcej...</a><br /></td></tr>
<tr class="separator:a6ace3788cd1b36df62ca1945cff26e76 inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a9bd798fd7f03957c56372df7570421b1 inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a9bd798fd7f03957c56372df7570421b1">makeRadians</a> (double degree) const</td></tr>
<tr class="memdesc:a9bd798fd7f03957c56372df7570421b1 inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przelicza stopnie na radiany.  <a href="class_shape.html#a9bd798fd7f03957c56372df7570421b1">Więcej...</a><br /></td></tr>
<tr class="separator:a9bd798fd7f03957c56372df7570421b1 inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wektor przesunięcia obiektu.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">Więcej...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kąt obrócenia figury geometrycznej.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">Więcej...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="obstacles_8hh_source.html#l00010">10</a> pliku <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a51c7f97c28a251ab75d711b23d9fe8e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51c7f97c28a251ab75d711b23d9fe8e1">&#9670;&nbsp;</a></span>Obstacles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Obstacles::Obstacles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="obstacles_8cpp_source.html#l00005">5</a> pliku <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="aa4f02f5ca8ffc260b9fc57a4e4774315"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4f02f5ca8ffc260b9fc57a4e4774315">&#9670;&nbsp;</a></span>~Obstacles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Obstacles::~Obstacles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="obstacles_8cpp_source.html#l00022">22</a> pliku <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="ad616fc66f5ad3a738843d5faeba1b52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad616fc66f5ad3a738843d5faeba1b52b">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Obstacles::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">fileName</td><td></td></tr>
  </table>
  </dd>
</dl>

<p>Implementuje <a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">Shape</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="obstacles_8cpp_source.html#l00026">26</a> pliku <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a1d2c967e884d0512c9d12c1d50988a6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d2c967e884d0512c9d12c1d50988a6e">&#9670;&nbsp;</a></span>kObstaclesFile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Obstacles::kObstaclesFile = &quot;solid/obstacles.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="obstacles_8hh_source.html#l00018">18</a> pliku <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a5822a8a837872f08c48e224ed7448178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5822a8a837872f08c48e224ed7448178">&#9670;&nbsp;</a></span>kObstaclesModel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Obstacles::kObstaclesModel = &quot;solid/obstaclesModel.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="obstacles_8hh_source.html#l00014">14</a> pliku <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="af2a1bbc0d479644c010ee06d661d6910"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a1bbc0d479644c010ee06d661d6910">&#9670;&nbsp;</a></span>points_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Obstacles::points_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="obstacles_8hh_source.html#l00012">12</a> pliku <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="obstacles_8hh_source.html">obstacles.hh</a></li>
<li><a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Wygenerowano przez &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
